#version 150

in vec2 position;
in vec4 color;
in vec2 texcoord;

uniform mat4 modelMat;

out vec4 Color;
out vec2 Texcoord;

void main() {
    gl_Position=modelMat * vec4(position, 0.0, 1.0);
    Color=color;
    Texcoord=texcoord;
}